> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aseed.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Prompts

> Get all prompts for the current user.



## OpenAPI

````yaml /api-reference/openapi-filtered.json get /prompts/
openapi: 3.1.0
info:
  title: Aseed Insight API
  version: 0.1.0
servers:
  - url: https://app.aseed.ai/custdev
security: []
tags:
  - name: insight
    description: 'Core insight endpoints: records, transcripts, generation, and chat.'
    x-displayName: Insight
  - name: insight_public
    description: Public insight endpoints for shared/public access.
    x-displayName: Insight Public
  - name: projects
    description: Project management endpoints.
    x-displayName: Projects
  - name: project_reports
    description: Project report generation and management endpoints.
    x-displayName: Project Reports
  - name: project_reports_public
    description: Public project report endpoints.
    x-displayName: Project Reports Public
  - name: prompts
    description: Custom prompts management endpoints.
    x-displayName: Prompts
  - name: presets
    description: Presets and templates endpoints.
    x-displayName: Presets
  - name: agent
    description: AI agent threads and chat endpoints.
    x-displayName: Agent
  - name: interviews
    description: AI interviewer room and session endpoints.
    x-displayName: Interviews
  - name: webhooks
    description: Incoming webhook endpoints.
    x-displayName: Webhooks
paths:
  /prompts/:
    get:
      tags:
        - prompts
      summary: Get Prompts
      description: Get all prompts for the current user.
      operationId: get_prompts_prompts__get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PromptsListResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    PromptsListResponse:
      properties:
        prompts:
          items:
            $ref: '#/components/schemas/PromptResponse'
          type: array
          title: Prompts
        total:
          type: integer
          title: Total
      type: object
      required:
        - prompts
        - total
      title: PromptsListResponse
      description: Response model for a list of prompts.
    PromptResponse:
      properties:
        id:
          type: string
          title: Id
        email:
          type: string
          title: Email
        prompt_type:
          type: string
          title: Prompt Type
        category_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Category Name
        title:
          type: string
          title: Title
        icon:
          anyOf:
            - type: string
            - type: 'null'
          title: Icon
        tags:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Tags
        content:
          type: string
          title: Content
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - email
        - prompt_type
        - title
        - content
        - created_at
        - updated_at
      title: PromptResponse
      description: Response model for a single prompt.
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````